精华内容
下载资源
问答
  • 在更换源点击update后和命令行apt update后都可能出现Failed to Fetch的报错,这是DNS服务器出错,在命令行里把DNS改成可用,我改的是阿里的服务器 $ sudo vi /etc/resolv.conf 把nameserver 127.1.1.1改成 ...

    最近在装Linux时候遇到了很多问题,记录一下解决方法,方便新手

    在更换源点击update后和命令行apt update后都可能出现Failed to Fetch的报错,这是DNS服务器出错,在命令行里把DNS改成可用,我改的是阿里的服务器

    $ sudo vi /etc/resolv.conf

    把nameserver 127.1.1.1改成

    nameserver 202.96.134.133

    nameserver 202.96.128.68再重启一下网络,就可以下载了。

    另外改完源后要把配置文件修改一下

    $ sudo vi /etc/apt/sources.list.d/official-lackage-repositories.list

     把http://security.ubuntu.com/ubuntu/ 改成 http://mirrors.ustc.edu.cn/ubuntu/

    展开全文
  • Linuxapt-get报错

    2018-07-25 13:03:31
    我在kali官网上下载了一个最新的kali...尝试使用时出现此错误apt-get: E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable) E: Unable to lock the administration directory...

    我在kali官网上下载了一个最新的kali虚拟机,就是导入直接用的那种。在更新版本的时候爆

    尝试使用时出现此错误apt-get:
    
    E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable)
    E: Unable to lock the administration directory (/var/lib/dpkg/) is another process using 

    我浏览了如下几个解决方案,都没有解决我的问题:

    修复 Ubuntu 中“Unable to lock the administration directory (/var/lib/dpkg/)”的

    https://www.cnblogs.com/bing-yu12/p/6367894.html

    在国外的一个社区的评论里解决了,我的问题是当时没有挂载iso,用的自动。

    解决办法:挂载iso

    来源:无法锁定管理目录(/ var / lib / dpkg /)是另一个使用它的进程吗?

    展开全文
  • 根据linux系统对应的版本和系统对应的型号查找对应的apt源 版本号查找指令:cat /etc/issue 系统型号查找指令:uname -a

    根据linux系统对应的版本和系统对应的型号查找对应的apt源
    版本号查找指令:cat /etc/issue
    系统型号查找指令:uname -a

    展开全文
  • Kali linux apt-get update 报错

    千次阅读 2018-04-28 23:53:12
    今天进行apt-get install时发现不能下载软件,并在执行apt-get update更新国内源出现如下错误:W: Failed to fetchhttp://http.kali.org/kali/dists/kali-rolling/InRelease The following signatures were invalid...

    今天进行apt-get install时发现不能下载软件,并在执行apt-get update更新国内源出现如下错误:
    W: Failed to fetchhttp://http.kali.org/kali/dists/kali-rolling/InRelease  The following signatures were invalid:EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
    百度一下发现是证书过期了,按照之前几个方法安装证书出现错误,最后按照下面方法安装新的证书才解决了问题:

    安装证书:
    wget https://http.kali.org/kali/pool/main/k/kali-archive-keyring/kali-archive-keyring_2018.1_all.deb
    apt install ./kali-archive-keyring_2018.1_all.deb
    安装完证书后再执行apt-get update和apt-get upgrade即可
    展开全文
  • 关于出现运行报错如下 Err:1 http://mirrors.aliyun.com/ubuntu xenial InRelease Temporary failure resolving ‘mirrors.aliyun.com’ Err:2 http://mirrors.aliyun.com/ubuntu xenial-updates InRelease ...
  • Ubuntu 18.* 系列刚安装好系统,修改成国内apt报错解决 root@linux:/etc/apt# cat sources.list #deb cdrom:[Ubuntu 18.04.2 LTS _Bionic Beaver_ - Release amd64 (20190210)]/ bionic main restricted # See ...
  • GPG 错误:http://dl.google.com/linux/chrome/deb stable Release: 由于没有公钥,无法验证下列签名: NO_PUBKEY 78BD65473CB3BD13 解决方案: sudo apt-key adv --keyserver keyserver.ubuntu....
  • 问题: apt-get install *** 一直出现 E: 无法定位软件包 解决办法: vi /etc/apt/sources.list 换apt软件源(例如清华大学镜像源) 将第二行加 # 注释 后面加入并保存 deb ...
  • LINUX 报错

    2017-06-26 12:53:41
    报错信息 libc6(!=*) but 2.19-ubuntu is to be installed方法一: 卸载已经安装的错误的包 查找 dpkg -l | grep libc6 删除 dpkg -r libc6-i386 方法二: sudo aptitude -f install 方法三: apt-get install
  • kali linux 2.0配置更新源后apt-get update 报错 仅作个人笔记之用,更多干货请移步微信公众号“网络铅笔头” 这是我设置的清华镜像源: deb http://mirrors.tuna.tsinghua.edu.cn/kali kali-rolling&...
  • apt 一执行就报错

    千次阅读 2019-06-27 10:38:38
    报错情况 root@instance-myaj5rsw:...apt: /usr/lib/x86_64-linux-gnu/libapt-pkg.so.5.0: no version information available (required by apt) apt: /usr/lib/x86_64-linux-gnu/libapt-pkg.so.5.0: no version i...
  • 报错内容: $ sudo apt-get install lm-sensors sensors-applet Reading package lists... Done Building dependency tree Reading state information... Done lm-sensors is already the newest version (1:3.3.4-2...
  • 柳鲲鹏 今天下载了slack,试图安装,反复安装无效。后来安装上了。也不知道怎么操作的。 进行了一下操作: ...sudo apt autoremove slack 3、重启了两次。 4、在软件中输入slack,找到了一个包,安装成功。...
  • ps -e|grep apt-get 结果:6965 ? 00:00:01 apt-get 执行:sudo kill 6965 方法2 强制解锁,会删除文件目录 sudo rm /var/cache/apt/archives/lock sudo rm /var/lib/dpkg/lock 方法3 重启系统 sudo ...
  • Linux 命令apt-get update报错:Unsupported proxy configured: 127.0.0.1://8888 问题原因: 这是为了上Google浏览器上网而设置了代理。代理关了就ok了 解决方案: 1,在终端输入 env | grep -i proxy ...
  • sudo apt-get update 报错

    2017-06-18 19:26:39
    Problem & Solution:Problem_0 以下 ID 的密钥没有可用的公钥: 1397BC53640DB551W: 无法下载...Solution_0这个是chrome仓库自己的问题wget -q -O - http://dl.google.com/linux/linux_signing_key.pub
  • 之前安装了privoxy,结果有一天发现sudo apt-get update报错 Unsupported proxy configured: 127.0.0.1://8118 apt-get都用不了了,但是可以用浏览器正常上网 解决方案: 在终端输入 export -p 查看有没有类似proxy...
  • 使用apt-get安装库报错“The following packages have unmet dependencies” 【问题定位】 属于库文件版本依赖关系未处理好。 【解决方案】 apt-get在解决库文件版本依赖关系方便做的不是很好。 改用aptitude命令,...
  • 就要开始修改kalilinux的更新源啦。 不推荐官方源,因为防火墙问题连接不上,还要一定时间来断开。所以费时间! #中科大的源 deb http://mirrors.ustc.edu.cn/kali kali-rolling main non-free contrib deb-src ...
  • linux安装mysqlclient报错

    2020-07-11 17:07:34
    linux安装mysqlclient报错:ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output. 尝试了: pip install—upgrade pip 以及: pip install --...
  • linux系统报错汇总

    2021-01-06 15:41:26
    在运行packmol过程中突然报错,可能是前几天在安装其他软件是不小心动了什么东西: error while loading shared libraries: libgfortran.so.4: cannot open shared object file: No such file or directory 解决办法...
  • 新装的ubuntu12.04,本人绝对新手,在使用VI编辑器编辑文本时觉得实在是难用,因此找了几个解决方法如下: ...首先,先卸掉旧版的vi,输入以下命令: sudo apt-get remove vim-common 然后安装full版的vim,输...
  • linux安装pycharm报错

    2019-03-10 11:03:53
    报错:Failed to load module "canberra-gtk-module" 解决方法:sudo apt-get install libcanberra-gtk-module 报错:pycharm ModuleNotFoundError: No module named 'distutils.core' 解决方法:sudo ...
  • Ubuntu执行apt-get命令报错:无法获得锁 /var/lib/dpkg/lock…解决方案 1、问题背景 今天在Ubuntu系统命令行执行命令: sudo apt-get … 竟然 报错报错如图: 具体报错如下: 无法获得锁 /var/lib/dpkg/lock - ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 1,078
精华内容 431
关键字:

apt报错linux

linux 订阅